package com.dk.mdm.model.report.sale;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.dk.mdm.model.report.Util;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class CustomizedWisdomStaff1 {

    @Excel(name="序号",width = 10)
    private Integer  kpiIndex;

    @Excel(name="业务员名称",width = 35,orderNum = "1")
    private String staffName;

    @Excel(name="定+智品类(万)",width = 15,orderNum = "2")
    private BigDecimal sumAmount;

    @Excel(name="定制品(万)",width = 15,orderNum = "3")
    private BigDecimal dzAmount;

    @Excel(name="智能坐便(万)",width = 15,orderNum = "4")
    private BigDecimal znAmount;

    public void setSumAmount(BigDecimal sumAmount) {
        this.sumAmount = Util.calc10000(sumAmount);
    }

    public void setDzAmount(BigDecimal dzAmount) {
        this.dzAmount = Util.calc10000(dzAmount);
    }

    public void setZnAmount(BigDecimal znAmount) {
        this.znAmount = Util.calc10000(znAmount);
    }
}
